Disable Online Search by default in Unity 7 Dash

Bug #1521208 reported by Will Cooke on 2015-11-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Music Lens
Undecided
Didier Roche
libunity
Fix Released
Undecided
Didier Roche
libunity (Ubuntu)
Undecided
Didier Roche
unity (Ubuntu)
Undecided
Didier Roche
unity-lens-music (Ubuntu)
Undecided
Didier Roche
unity-scope-audacious (Ubuntu)
Undecided
Didier Roche
unity-scope-clementine (Ubuntu)
Undecided
Didier Roche
unity-scope-gmusicbrowser (Ubuntu)
Undecided
Didier Roche
unity-scope-gourmet (Ubuntu)
Undecided
Didier Roche
unity-scope-guayadeque (Ubuntu)
Undecided
Didier Roche
unity-scope-musique (Ubuntu)
Undecided
Didier Roche

Bug Description

We have decided to disable online search results in the dash by default.

Changes needed are as follows:

1. "Include online search results" from Security & Privacy in Systems Settings should be OFF by default.
2. Amazon & Skimlinks to remain off by default and search results to not be generated without explicitly turning on those filters.
3. Music store option to be fully removed in 16.04 and beyond. I'll take advice on what the best option is for older supported releases.
4. The following scopes to be moved to Universe:
* Audacious
* Clementine
* gmusicbrowser
* Gourmet
* Guayadeque
* Musique (note: unity-scope-musique)

Didier Roche (didrocks) on 2015-11-30
Changed in libunity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in libunity:
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-lens-music:
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-lens-music (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-audacious (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-clementine (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-gmusicbrowser (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-gourmet (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-guayadeque (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Changed in unity-scope-musique (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Didier Roche (didrocks) wrote :

For 16.04 LTS, the tasks are:
1. Upload libunity with 2 changes:
  - dash online search option to off by default
  - removal in default desktop scope list of recommendations for unity-scope-musicstores, unity-scope-audacious, unity-scope-clementine, unity-scope-gmusicbrowser, unity-scope-gourmet, unity-scope-guayadeque, unity-scope-musique
2. Rebuild of unity package once libunity is built and published in -proposed to pick up the recommendation change
3. Upload unity-lens-music with the remote/ubuntuone scope stripped off (new upstream release)
4. Delete unity-scope-musicstores from archive
5. Demote to universe unity-scope-audacious, unity-scope-clementine, unity-scope-gmusicbrowser, unity-scope-gourmet, unity-scope-guayadeque, unity-scope-musique
5. the online service team disable for 14.04 LTS and on amazon (should already be the case) and skimlinks as default sources for online search when no specific scopes to search on are set on the client.

Changed in unity:
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
Will Cooke (willcooke) on 2015-12-10
information type: Private → Public
Didier Roche (didrocks) on 2015-12-15
no longer affects: unity
Changed in unity-lens-music:
status: Triaged → Fix Released
Changed in libunity:
status: Triaged → Fix Released
Changed in libunity (Ubuntu):
status: Triaged → Fix Committed
Changed in unity-lens-music (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 6.9.1+16.04-0ubuntu1

---------------
unity-lens-music (6.9.1+16.04-0ubuntu1) xenial; urgency=medium

  * Remove music online store search code (LP: #1521208)
  * Remove unity-scope-musicstores package and add C/P against it to help apt
    transition.
  * Remove oauth and soup code and package dependencies now that we won't have
    this kind of results.
  * Bump version to 6.9.1
  * Build-depends on gee-0.8 and transition to compatible 0.8 pkgconfig files
    (LP: #1502094)

 -- Didier Roche <email address hidden> Mon, 30 Nov 2015 10:51:30 +0100

Changed in unity-lens-music (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libunity - 7.1.4+15.10.20151002-0ubuntu2

---------------
libunity (7.1.4+15.10.20151002-0ubuntu2) xenial; urgency=medium

  * Set dash online search option to off by default (LP: #1521208)
  * Remove from default desktop set for recommends:
    - unity-scope-musicstores
    - unity-scope-audacious
    - unity-scope-clementine
    - unity-scope-gmusicbrowser
    - unity-scope-gourmet
    - unity-scope-guayadeque
    - unity-scope-musique

 -- Didier Roche <email address hidden> Mon, 30 Nov 2015 09:23:39 +0100

Changed in libunity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20151211-0ubuntu2

---------------
unity (7.4.0+16.04.20151211-0ubuntu2) xenial; urgency=medium

  * rebuild against latest libunity to update the list of recommends
    (LP: #1521208)

 -- Didier Roche <email address hidden> Tue, 15 Dec 2015 09:29:52 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks) wrote :

Online music stores NBS removed from the archive
$ ./remove-package -m "Not supported anymore, LP: #1521208" -b unity-scope-musicstores
Removing packages from xenial:
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial amd64
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial arm64
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial armhf
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial i386
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial powerpc
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial ppc64el
 unity-scope-musicstores 6.9.0+15.04.20141219-0ubuntu1 in xenial s390x
Comment: Not supported anymore, LP: #1521208
Remove [y|N]? y
7 packages successfully removed.

Didier Roche (didrocks) wrote :
Download full text (5.1 KiB)

Scopes are not recommended anymore by unity, demote them to universe:
$ ./change-override -c universe -S unity-scope-audacious unity-scope-clementine unity-scope-gmusicbrowser unity-scope-gourmet unity-scope-guayadeque unity-scope-musique
Override component to universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial: main/gnome -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial amd64: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial arm64: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial armhf: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial i386: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial powerpc: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial ppc64el: main/gnome/optional/100% -> universe
unity-scope-audacious 0.1+13.10.20130927.1-0ubuntu1 in xenial s390x: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial: main/gnome -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial amd64: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial arm64: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial armhf: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial i386: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial powerpc: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial ppc64el: main/gnome/optional/100% -> universe
unity-scope-clementine 0.1+13.10.20130723-0ubuntu1 in xenial s390x: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial: main/gnome -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial amd64: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial arm64: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial armhf: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial i386: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial powerpc: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial ppc64el: main/gnome/optional/100% -> universe
unity-scope-gmusicbrowser 0.1+13.10.20130723-0ubuntu1 in xenial s390x: main/gnome/optional/100% -> universe
unity-scope-gourmet 0.1+13.10.20130723-0ubuntu1 in xenial: main/gnome -> universe
unity-scope-gourmet 0.1+13.10.20130723-0ubuntu1 in xenial amd64: main/gnome/optional/100% -> universe
unity-scope-gourmet 0.1+13.10.20130723-0ubuntu1 in xenial arm64: main/gnome/optional/100% -> universe
unity-scope-gourmet 0.1+13.10.20130723-0ubuntu1 in xenial armhf: main/gnome/optional/100% -> universe
unity-scope-gourmet 0.1+13.10.20130723-0u...

Read more...

Changed in unity-scope-audacious (Ubuntu):
status: Triaged → Fix Released
Changed in unity-scope-clementine (Ubuntu):
status: Triaged → Fix Released
Changed in unity-scope-gmusicbrowser (Ubuntu):
status: Triaged → Fix Released
Changed in unity-scope-gourmet (Ubuntu):
status: Triaged → Fix Released
Changed in unity-scope-guayadeque (Ubuntu):
status: Triaged → Fix Released
Changed in unity-scope-musique (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers